
package jp.riken.brain.ni.samuraigraph.base;

import javax.swing.JPanel;

/**
 * The base class of panels used for the property setting.
 */
public class SGPropertyPanel extends JPanel implements SGIDisposable
{

	private String mInputErrorMessage;

	/**
	 * 
	 */
	public SGPropertyPanel()
	{
		super();
	}


	/**
	 * @return
	 */
	public String getInputErrorMessage()
	{
		return this.mInputErrorMessage;
	}


	/**
	 * @param string
	 */
	public void setInputErrorMessage( final String string )
	{
		this.mInputErrorMessage = string;
	}


	/**
	 * 
	 *
	 */
	public void dispose()
	{
		this.mInputErrorMessage = null;
	}

}

